package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcWljgtj;
import com.ruoyi.tcZz.domain.TcZdlyjg;

/**
 * 重点领域监管Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcZdlyjgService 
{
    /**
     * 查询重点领域监管
     * 
     * @param id 重点领域监管主键
     * @return 重点领域监管
     */
    public TcZdlyjg selectTcZdlyjgById(Long id);

    /**
     * 查询重点领域监管列表
     * 
     * @param tcZdlyjg 重点领域监管
     * @return 重点领域监管集合
     */
    public List<TcZdlyjg> selectTcZdlyjgList(TcZdlyjg tcZdlyjg);

    /**
     * 新增重点领域监管
     * 
     * @param tcZdlyjg 重点领域监管
     * @return 结果
     */
    public int insertTcZdlyjg(TcZdlyjg tcZdlyjg);

    /**
     * 修改重点领域监管
     * 
     * @param tcZdlyjg 重点领域监管
     * @return 结果
     */
    public int updateTcZdlyjg(TcZdlyjg tcZdlyjg);

    /**
     * 批量删除重点领域监管
     * 
     * @param ids 需要删除的重点领域监管主键集合
     * @return 结果
     */
    public int deleteTcZdlyjgByIds(Long[] ids);

    /**
     * 删除重点领域监管信息
     * 
     * @param id 重点领域监管主键
     * @return 结果
     */
    public int deleteTcZdlyjgById(Long id);



    /**
     * 导入重点领域监管信息
     *
     * @return 结果
     */
    public String importUser(List<TcZdlyjg> tcZdlyjgList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
